MethodNodeUtils (Groovy 3.0.9)

Package org.apache.groovy.ast.tools

## Class MethodNodeUtils

- java.lang.Object
- - org.apache.groovy.ast.tools.MethodNodeUtils

-     public class MethodNodeUtils
      extends Object

  Utility class for working with MethodNodes

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BlockStatement` | `getCodeAsBlock​(MethodNode node)` | Gets the code for a method (or constructor) as a block.
    `static String` | `getPropertyName​(MethodNode mNode)` | For a method node potentially representing a property, returns the name of the property.
    `static String` | `methodDescriptor​(MethodNode mNode)` | Return the method node's descriptor which includes its return type, name and parameter types without generics.
    `static String` | `methodDescriptorWithoutReturnType​(MethodNode mNode)` | Return the method node's descriptor including its name and parameter types without generics.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### methodDescriptorWithoutReturnType

          public static String methodDescriptorWithoutReturnType​(MethodNode mNode)

      Return the method node's descriptor including its name and parameter types without generics.
      Parameters:
        `mNode` - the method node
      Returns:
        the method node's abbreviated descriptor excluding the return type

    - #### methodDescriptor

          public static String methodDescriptor​(MethodNode mNode)

      Return the method node's descriptor which includes its return type, name and parameter types without generics.
      Parameters:
        `mNode` - the method node
      Returns:
        the method node's descriptor

    - #### getPropertyName

          public static String getPropertyName​(MethodNode mNode)

      For a method node potentially representing a property, returns the name of the property.
      Parameters:
        `mNode` - a MethodNode
      Returns:
        the property name without the get/set/is prefix if a property or null

    - #### getCodeAsBlock

          public static BlockStatement getCodeAsBlock​(MethodNode node)

      Gets the code for a method (or constructor) as a block. If no code is found, an empty block will be returned. If a single non-block statement is found, a block containing that statement will be returned. Otherwise the existing block statement will be returned. The original `node` is not modified.
      Parameters:
        `node` - the method (or constructor) node
      Returns:
        the found or created block statement